#include "Framework.h"

#include "LogoState.h"
#include "MenuState.h"
#include "MainState.h"
#include "RankState.h"

int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	GameWindow gameWindow;

	LogoState logoState(&gameWindow);
	MenuState menuState(&gameWindow);
	MainState gameState(&gameWindow);
	RankState rankState(&gameWindow);
	
	gameWindow.GetStateManager().AddGameState(&logoState);
	gameWindow.GetStateManager().AddGameState(&menuState);
	gameWindow.GetStateManager().AddGameState(&gameState);
	gameWindow.GetStateManager().AddGameState(&rankState);
	
	gameWindow.GetStateManager().IntroState(L"logo");
	gameWindow.RunningOn();

	return 1;
}